import * as zmq from 'zeromq';
import { Session } from '../types/python-object';
export default class Executor {
    static sessions: Session[];
    static latestIoPort: number;
    static latestShellPort: number;
    static openSession: (scope: string) => Promise<void>;
    static exit: (scope: string) => Promise<void>;
    static createSession: (id: string) => Promise<Session>;
    static handleSubscriberMsg: (socketSubscriber: zmq.Subscriber) => void;
    static handleDealerMsg: (socketDealer: zmq.Dealer, session: Session) => void;
    static execute: (scope: string, code: string) => Promise<unknown>;
}
